/*
 * Copyright (c) 2023-2024.
 * Das Land Schleswig-Holstein vertreten durch den Ministerpräsidenten des Landes Schleswig-Holstein Staatskanzlei Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.ozgcloud.antragsraum.common;

import lombok.AccessLevel;
import lombok.NoArgsConstructor;
import net.devh.boot.grpc.client.channelfactory.GrpcChannelConfigurer;
import net.devh.boot.grpc.client.channelfactory.InProcessChannelFactory;
import net.devh.boot.grpc.client.channelfactory.InProcessOrAlternativeChannelFactory;
import net.devh.boot.grpc.client.channelfactory.ShadedNettyChannelFactory;
import net.devh.boot.grpc.client.config.GrpcChannelsProperties;
import net.devh.boot.grpc.client.interceptor.GlobalClientInterceptorRegistry;

import java.util.Collections;
import java.util.List;

@NoArgsConstructor(access = AccessLevel.PRIVATE)
public class GrpcChannelFactory {
	private static final List<GrpcChannelConfigurer> defaultChannelConfigurers = Collections.emptyList();

	public static net.devh.boot.grpc.client.channelfactory.GrpcChannelFactory getChannelFactory(GrpcChannelsProperties channelsProperties, GlobalClientInterceptorRegistry globalClientInterceptorRegistry) {
		final ShadedNettyChannelFactory channelFactory = new ShadedNettyChannelFactory(channelsProperties, globalClientInterceptorRegistry, defaultChannelConfigurers);

		final InProcessChannelFactory inProcessChannelFactory =
				new InProcessChannelFactory(channelsProperties, globalClientInterceptorRegistry, defaultChannelConfigurers);
		return new InProcessOrAlternativeChannelFactory(channelsProperties, inProcessChannelFactory, channelFactory);
	}
}
