/*
 * Copyright (c) 2023-2024.
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.ozgcloud.antragsraum.attachments;

import java.util.UUID;

import org.apache.http.entity.ContentType;

public class OzgFileTestFactory {
	static final String FILE_ID = UUID.randomUUID().toString();
	static final String VORGANG_ID = UUID.randomUUID().toString();
	static final String CONTENT_TYPE = ContentType.APPLICATION_OCTET_STREAM.toString();
	static final long FILE_SIZE = 10;
	static final String FILE_NAME = "Testfile.pdf";
	static final String NACHRICHT_EVENT_ID = UUID.randomUUID().toString();
	static final String CHANNEL_ADDRESS = "static://localhost:9090";
	static final byte[] DATA = "juhu, ein bild".getBytes();

	public static OzgFile create() {
		return createBuilder().build();
	}

	public static OzgFile.OzgFileBuilder createBuilder() {
		return OzgFile.builder()
		  .id(FILE_ID)
		  .contentType(CONTENT_TYPE)
		  .fileSize(FILE_SIZE)
		  .fileName(FILE_NAME);
	}
}
