/*
 * Copyright (c) 2023-2024.
 * Das Land Schleswig-Holstein vertreten durch den Ministerpräsidenten des Landes Schleswig-Holstein Staatskanzlei Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.antragsraum.events;

import static org.mockito.Mockito.*;

import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.Spy;
import org.mockito.junit.jupiter.MockitoExtension;

import de.ozgcloud.antragsraum.nachricht.NachrichtTestFactory;

@ExtendWith(MockitoExtension.class)
class NachrichtEventServiceTest {
	@Spy
	@InjectMocks
	private NachrichtEventService service;
	@Mock
	private NachrichtEventRemoteService remoteService;

	@Test
	void shouldCallRemoteServiceForEvents() {
		service.getNachrichtEventsOfPostfachId(NachrichtTestFactory.POSTFACH_ID);

		verify(remoteService).getNachrichtEventsOfPostfach(anyString());
	}

	@Test
	void shouldCallRemoteServiceForEventById() {
		service.getNachrichtEventById(NachrichtTestFactory.ID);

		verify(remoteService).getNachrichtEventById(anyString());
	}
}