/*
 * Copyright (c) 2023-2024.
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.ozgcloud.antragsraum.nachricht;

import de.ozgcloud.nachrichten.antragraum.AntragraumServiceGrpc;
import de.ozgcloud.nachrichten.antragraum.GrpcFindRueckfragenRequest;
import de.ozgcloud.nachrichten.antragraum.GrpcFindRueckfragenResponse;
import de.ozgcloud.nachrichten.antragraum.GrpcGetRueckfrageRequest;
import de.ozgcloud.nachrichten.antragraum.GrpcGetRueckfrageResponse;
import de.ozgcloud.nachrichten.antragraum.GrpcSendRueckfrageAnswerRequest;
import de.ozgcloud.nachrichten.antragraum.GrpcSendRueckfrageAnswerResponse;
import io.grpc.stub.StreamObserver;
import net.devh.boot.grpc.server.service.GrpcService;

@GrpcService
public class AntragsraumServiceGrpc extends AntragraumServiceGrpc.AntragraumServiceImplBase {
	@Override
	public void findRueckfragen(GrpcFindRueckfragenRequest request, StreamObserver<GrpcFindRueckfragenResponse> responseObserver) {
		responseObserver.onNext(GrpcRueckfrageTestFactory.createFindRueckfragenResponse());
		responseObserver.onCompleted();
	}

	@Override
	public void getRueckfrage(final GrpcGetRueckfrageRequest request, final StreamObserver<GrpcGetRueckfrageResponse> responseObserver) {
		responseObserver.onNext(GrpcRueckfrageTestFactory.createGetRueckfrageResponse());
		responseObserver.onCompleted();
	}

	@Override
	public void sendRueckfrageAnswer(GrpcSendRueckfrageAnswerRequest request,
	  StreamObserver<GrpcSendRueckfrageAnswerResponse> responseObserver) {
		responseObserver.onNext(GrpcRueckfrageTestFactory.createSendRueckfrageAnswerResponse());
		responseObserver.onCompleted();
	}
}
